<?php
include('mysqli_connect.php');

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $min_price = mysqli_real_escape_string($dbc, $_POST['min_price']);
    $max_price = mysqli_real_escape_string($dbc, $_POST['max_price']);

    // Validate that both min and max prices are provided
    if (!empty($min_price) && !empty($max_price)) {
        // Ensure the input values are numeric
        if (is_numeric($min_price) && is_numeric($max_price)) {
            // Query to fetch products within the specified price range
            $query = "SELECT * FROM products WHERE price BETWEEN $min_price AND $max_price";
            $result = mysqli_query($dbc, $query);

            if ($result) {
                $row_count = mysqli_num_rows($result);
                echo "Total number of retrieved records for price range \$$min_price - \$$max_price is <strong>$row_count</strong><br>";

                if ($row_count > 0) {
                    // Display product details for each record
                    while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
                        echo "Product Name: " . $row['name'] . "<br>";
                        echo "Description: " . $row['description'] . "<br>";
                        echo "Price: $" . $row['price'] . "<br>";
                        echo "Quantity: " . $row['quantity'] . "<br>";
                        echo "<hr>";
                    }
                } else {
                    // Display a message if no records are found for the specified price range
                    echo "No records found \$$min_price - \$$max_price.<br>";
                }
            } else {
                // Display an error message if there's an error with the query
                echo "Error: " . mysqli_error($dbc) . "<br>";
            }
        } else {
            // Display a message if the input values are not valid
            echo "Please enter valid  values for the price range.<br>";
        }
    } else {
        // Display a message if both min and max prices are not provided
        echo "Please enter both minimum and maximum prices for the search.<br>";
    }
}

mysqli_close($dbc); // Close the database connection
?>