<?php
include('mysqli_connect.php'); // Include your database connection code

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the selected category/categories
    $selected_category = $_POST['category'];

    // Ensure at least one category is selected
    if (!empty($selected_category)) {
        // If only one category is selected, convert it to an array for consistency
        if (!is_array($selected_category)) {
            $selected_category = [$selected_category];
        }

        // Iterate through each selected category
        foreach ($selected_category as $category) {
            // Escape the category to prevent SQL injection
            $escaped_category = mysqli_real_escape_string($dbc, $category);
            
            // Query to retrieve products based on the selected category
            $query = "SELECT * FROM products WHERE category = '$escaped_category'";
            $result = mysqli_query($dbc, $query);

            if ($result) {
                // Count the number of retrieved records for the selected category
                $row_count = mysqli_num_rows($result);
                echo "Total number of retrieved records for '$category' is <strong>$row_count</strong><br>";

                if ($row_count > 0) {
                    // Display product details for each record
                    while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
                        echo "<div>";
                        echo "<img src='/finalproject/finalproject/images/{$row['image_filename']}' alt='" . $row['description'] . "'>";
                        echo "<p>Product Name: " . $row['name'] . "</p>";
                        echo "<p>Description: " . $row['description'] . "</p>";
                        echo "<p>Price: $" . $row['price'] . "</p>";
                        echo "<p>Quantity: " . $row['quantity'] . "</p>";
                        echo "<hr>";
                        echo "</div>";
                    }
                } else {
                    // Display a message if no records are found for the specified category
                    echo "No records found for the specified category '$category'.<br>";
                }
            } else {
                // Display an error message if there's an issue with the query
                echo "Error: " . mysqli_error($dbc) . "<br>";
            }
        }
    } else {
        // Display a message if no category is selected
        echo "Please select at least one category.<br>";
    }
}

mysqli_close($dbc); // Close the database connection
?>