<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pants</title>
    <!-- Add your CSS styles here if needed -->
</head>
<body>
    <h2>Pants</h2>

    <?php
    // Include your database connection file
    include('mysqli_connect.php');

    // Fetch all products of the 'Pants' category
    $pants_query = "SELECT * FROM products WHERE category = 'Pants'";
    $pants_result = mysqli_query($dbc, $pants_query);

    // Define image filenames for each product
    $imageFilename = [
        'athletic joggers.jpg',
        'cotton trousers.jpg',
        'faux leather leggings.jpg',
        'skinny jeans.jpg',
        'slim fit jeans.jpg',
    ];

    // Display each product information
    $index = 0; // Index to get the corresponding image filename
    while ($row = mysqli_fetch_assoc($pants_result)) {
        displayProduct($row, $imageFilename[$index]);
        $index++;
    }

    // Function to display product information
    function displayProduct($product, $imageFilename) {
        echo "<div>";
        echo "<img src='/finalproject/finalproject/images/{$imageFilename}' alt='{$product['description']}'>";
        echo "<p>Description: {$product['description']}</p>";
        echo "<p>Price: ${$product['price']}</p>";
        echo "<p>Quantity: {$product['quantity']}</p>";

        // Use a form to submit the product ID to the server when the user clicks "Add to Cart"
        echo "<form action='handle_form_addtocart.php' method='post'>";
        echo "<input type='hidden' name='product_id' value='{$product['id']}'>";
        echo "<input type='submit' value='Add to Cart'>";
        echo "</form>";

        echo "</div>";
    }

    // Free result set
    mysqli_free_result($pants_result);

    // Close the database connection
    mysqli_close($dbc);
    ?>
</body>
</html>