<?php
session_start();

// Check if the user is not logged in or is not an admin
if (empty($_SESSION['username']) || !isset($_SESSION['is_admin']) || $_SESSION['is_admin'] !== true) {
    header("Location: login_form.php");
    exit();
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Admin Dashboard</title>
    <style>
        body {
            font-family: Arial, sans-serif;
        }

        form {
            width: 80%;
            max-width: 600px;
            margin: 0 auto;
        }

        h1, h2 {
            color: #333;
        }

        button {
            padding: 10px;
            font-size: 16px;
            cursor: pointer;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 5px;
        }

        button:hover {
            background-color: #45a049;
        }
    </style>
</head>
<body>

<h1>Welcome Admin <?php echo $_SESSION['username']; ?></h1>
<h2>This page is only for administrators to view</h2>
<br>

<!-- Add a link or button for admins to access the product addition form -->
<p><button type="button" onclick="location.href='add_product_form.php'">Add New Product</button></p>

<!-- Add a link or button for admins to view all users -->
<p><button type="button" onclick="location.href='admin_view_all_users.php'">View All Users</button></p>

<br><br>
<button onclick="window.location.href='logout.php';">Log out</button>

</body>
</html>